Retrieve the default payment method of an account
Retrieves the default payment method of the specified customer account.
- This operation also supports retrieving the custom payment method created through the Open Payment Method service.
- This operation only works with an electronic payment method and does not work with non-electronic payment methods.
Authentication
Use Bearer {{token}} in the Authorization header for authentication.
Path parameters
Headers
Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.
If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.
Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.
The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').
An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.
The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.
The minor API version.
For a list of available minor versions, see API upgrades.
Response headers
This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.
Note that only the following MIME types support gzipped responses:
application/jsonapplication/xmltext/htmltext/csvtext/plain
The request limit quota for the time window closest to exhaustion. See rate limits for more information.
The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.
The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.
The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.
For more information, see Concurrent request limits.
The total number of the permitted concurrent requests.
For more information, see Concurrent request limits.
The remaining number of the permitted concurrent requests.
For more information, see Concurrent request limits.
Response
Displays the status of the account. Note:
Active- Access token is active.Expired- Access token has expired and must be linked again.Expiring- Access token will expire in few days(7 days for Plaid) and must be linked againInactive- The end customer has revoked the account pemission. The end customer can login again and select the same method for the access token to be linked again.
The date and time when the payment method was created, in yyyy-mm-dd hh:mm:ss format.
The masked credit card number.
When cardNumber is null, the following fields will not be returned:
expirationMonthexpirationYearaccountHolderInfo
The type of the credit card or debit card.
Possible values include Visa, MasterCard, AmericanExpress, Discover, JCB, and Diners. For more information about credit card types supported by different payment gateways, see Supported Payment Gateways.
Note: This field is only returned for the Credit Card and Debit Card payment types.
The session ID of the user when the PaymentMethod was created or updated.
The mandate information for the Credit Card, Apple Pay, Google Pay, Credit Card Reference Transaction, ACH, or Bank Transfer payment method.
The following mandate fields are common to all supported payment methods:
mandateIdmandateReasonmandateStatus
The following mandate fields are specific to the ACH and Bank Transfer payment methods:
mandateReceivedStatusexistingMandateStatusmandateCreationDatemandateUpdateDate
The following mandate fields are specific to the Credit Card, Apple Pay, and Google Pay payment methods:
mitTransactionIdmitProfileAgreedOnmitConsentAgreementRefmitConsentAgreementSrcmitProfileTypemitProfileAction
The number of consecutive failed payments for this payment method. It is reset to 0 upon successful payment.
A gateway unique identifier that replaces sensitive payment method data.
Note: This field is only returned for the Credit Card Reference Transaction payment type.
A gateway unique identifier that replaces sensitive payment method data or represents a gateway’s unique customer profile.
Note: This field is only returned for the Credit Card Reference Transaction payment type.
The last date and time when the payment method was updated, in yyyy-mm-dd hh:mm:ss format.
The type of the Bank Transfer payment method. For example, SEPA.
The nine-digit routing number or ABA number used by banks. This field is only required if the type field is set to ACH.
The name of the account holder, which can be either a person or a company. This field is only required if the type field is set to ACH.
One or two digits expiration month (1-12).
Four-digit expiration year.
ID of a PayPal billing agreement. For example, I-1TJ3GAGG82Y9.
This field is only available for Google Pay payment methods.
For Google Pay payment methods on Adyen, the first 100 characters of paymentMethodVariant returned from Adyen are stored in this field.
This field is only available for Apple Pay payment methods.
For Apple Pay payment methods on Adyen, the first 100 characters of paymentMethodVariant returned from Adyen are stored in this field.